<?php

// This page is for edit the main options

@include_once dirname(__FILE__) . '/controls.php';

$plugin = $file_commerce;

if (!$controls->is_action()) {
    // Nothing
}
else {
    // Process known actions. Some actions need to process the options, do something
    // without storing them on the database but showing them to the user a second time.
    if ($controls->is_action('save')) {
        $plugin->set_options(stripslashes_deep($_POST['options']));
    }

    if ($controls->is_action('reset')) {
        $plugin->set_options($plugin->get_default_options());
    }

     if ($controls->is_action('create')) {
        $page = array();
        $page['post_title'] = 'Downloads';
        $page['post_content'] =
        "[file_commerce]\n" .
            "Here you can access our premium files. Remember there is a 60-days refund policy. For any question, feel free to contact us at ...\n" .
        "[/file_commerce]\n\n" .
        "[file_commerce_thankyou]\n" .
            "Thank you for your purchase.\n\n" .
            "<strong>To download the file</strong>\n\n" .
            "If you have not an account on this site. Your credentials <strong>has just been mailed to your payment mail box</strong>, check for them (even in the spam/unsolicited folder). It can take <strong>from 5 to 15 minutes</strong>, be patience. Then <a href='" . wp_login_url(get_permalink()) . "'>log in here</a>\n\n" .
            "If you already have an account: " .
            "<a href='" . wp_login_url(get_permalink()) . "'>log in here</a> to download your files (if you're already logged in you should have the file list already available below).\n\n" .
            "<strong>Got problems or need to contact me?</strong>\n\n" .
            "For any problems with this purchase, please contact me at " . get_option('admin_email') . "\n\n" .

            "Important note: if you paid with eCheck or other non-instant payment methods, please be patience and your contract will be activated soon (it may require two or three days).\n" .
        "[/file_commerce_thankyou]\n";

        $page['post_status'] = 'publish';
        $page['post_type'] = 'page';
        $page['comment_status'] = 'closed';
        $page['ping_status'] = 'closed';
        $page['post_category'] = array(1); // the default 'Uncatrgorised'

        // Insert the post into the database
        $page_id = wp_insert_post($page);
        $controls->options = $plugin->get_options();
        $controls->options['main_url'] = get_permalink($page_id);
        $plugin->set_options($controls->options);
     }
}

if ($controls->options == null) $controls->options = $plugin->get_options();

?>

<div class="wrap">

    <h2><?php echo $plugin->title; ?>: Main Configuration</h2>

    <?php if (!get_option('users_can_register')) { ?>
    <div class="error"><p>Warning: users cannot register on your blog, enable that option on WordPress main settings.</p></div>
    <?php } ?>

    <?php $controls->show_errors(); ?>
    <?php $controls->show_messages(); ?>

    <p>Welcome to File Commerce, the easiest way to sell your files!</p>

    <script>

        var content = "";
        var count = 0;
        jQuery(document).ready(function () {
           /*
           jQuery(".wrap h3").each(function () {
               count++;
               this.id = "h3" + count;
               content += "<li><a href='#" + this.id + "'>" + this.innerHTML + "</a></li>";
           });
           document.getElementById("file-commerce-index").innerHTML = "<ul>" + content + "</ul>";
           
           jQuery(".wrap h3").each(function () {
               jQuery(this).nextUntil('h3').hide();
           });

           jQuery(".wrap h3").click(function () {
               jQuery(this).nextUntil('h3').toggle();
           });
           */
        });
    </script>

    <div id="file-commerce-index"></div>

    <form method="post" action="">
        <?php $controls->init(); ?>

        <h3>General configurations</h3>
        <p><strong>MUST BE CONFIGURED WITH CARE</strong></p>
        <table class="form-table">
            <tr valign="top">
                <th>Selling page</th>
                <td>
                    <?php $controls->text('main_url', 70); ?>
                    <?php $controls->button('create', 'Create a page for me'); ?>
                    <div class="hints">
                        This is the address of a WordPress page where users find the file to purchase, get the thank you message after a
                        purchase and download the purchased file.<br />
                        The page must have two parts: introduction message (surrounded by [file_commerce] and [/file_commerce] short code)
                        and a thank you message (surrounded by [file_commerce] and [/file_commerce] short code).<br />
                        Since it can be difficult to setup correctly that page the first time, let File Commerce to generate it
                        for you, and then customize it.
                    </div>
                </td>
            </tr>
            <tr valign="top">
                <th>Sign up message</th>
                <td>
                    <?php $controls->textarea('register_message'); ?>
                    <div class="hints">
                        <a href="<?php echo plugins_url('img/register_message.png', __FILE__); ?>" target="_blank"><img src="<?php echo plugins_url('img/register_message.png', __FILE__); ?>" height="100" hspace="15" align="right"/></a>
                        This message is shown under the sign up form, see the picture (click it to open a bigger version). On this message
                        you should explain that sign up is free and to use a primary email to be sure to receive the password. Do not forget to
                        remember the users to check the spam folder if they cannot find the email, that will saves you a lot of support requests.
                        <br clear="all"/>
                    </div>
                </td>
            </tr>
            <tr valign="top">
                <th>Email sender</th>
                <td>
                    email address: <?php $controls->text('sender_email', 30); ?>
                    name: <?php $controls->text('sender_name', 30); ?>
                    <div class="hints">
                        A number of notification emails can be sent by this plugin (newsletters, contract activation, contract expiration and so on).
                        All those emails will be sent with the sender data specified above. If those fields are left empty, WordPress default
                        email (wordpress@yourdomain.com) and name (your blog name) will be used.<br />
                        Setting those fields helps the receiver to better identify the email sender and eventually to reply to the specified address.<br />
                        Be aware that using an address not in the blog domain (like somename@gmail.com) can activate provider filters that will
                        block your emails (usually without notice).<br />
                    </div>
                </td>
            </tr>

            <tr valign="top">
                <th>Login/Register link text</th>
                <td>
                    <?php $controls->text('login_label', 70); ?>
                    <div class="hints">
                        When a non logged in user visit the selling page, near the file there will be a link
                        inviting the user to login or register for free. This is the text of that link. If you
                        want to use a graphical button, use HTML like:<br />
                        <code>&lt;img src="..." alt="Login or register free"/&gt;</code>
                    </div>
                </td>
            </tr>
            <tr valign="top">
                <th>Download link text</th>
                <td>
                    <?php $controls->text('download_label', 70); ?>
                </td>
            </tr>
        </table>
        <p class="submit">
            <?php $controls->button('save', __('Save', 'filecommerce')); ?>
        </p>

        <h3>Payment gateway</h3>
        <p><strong>MUST BE CONFIGURED WITH CARE</strong></p>
        <table class="form-table">            
            <tr valign="top">
                <th>
                    PayPal
                </th>
                <td>
                    PayPal email: <?php $controls->text('paypal_email', 50); ?>
                    <div class="hints">
                        The email you, as merchant, use to log in into PayPal. This email is used to verify the PayPal notifications,
                        it's really important (dictated by PayPal best practices)!<br />
                        <strong>See the user guide to configure the PayPal account, you must enable the IPN (Instant Payment Notification).</strong>
                    </div>
                </td>
            </tr>
        </table>
        <p class="submit">
            <?php $controls->button('save', __('Save', 'filecommerce')); ?>
        </p>


        <h3>Notifications to the customer</h3>
        <p>
            Here you set the emails to send to customers. Be sure to use the documented tags to customize the emails.
        </p>
        <table class="form-table">
            <tr valign="top">
                <th>New valid contract</th>
                <td>
                    <?php $controls->text('notify_ok_subject', 70); ?><br />
                    <?php $controls->textarea('notify_ok_body'); ?><br />
                    <div class="hints">
                        Sent to the customer when the payment gateway confirms a completed transaction (in other words when
                        you get the money...).
                    </div>
                </td>
            </tr>

            <tr valign="top">
                <th>Invalidated contract</th>
                <td>
                    <?php $controls->text('notify_ko_subject', 70); ?><br />
                    <?php $controls->textarea('notify_ko_body'); ?><br />
                    <div class="hints">
                        Sent to the customer when her contract is no more valid (usually after a refund). Expired contracts and
                        invalid contracts are two different concepts.
                    </div>
                </td>
            </tr>
            <tr valign="top">
                <th>Tags</th>
                <td>
                    <div class="hints">
                        {user_id} - WordPress id of the customer<br />
                        {user_login} - the name the customer uses to log in<br />
                        {user_email} - the email of the customer<br />
                        {login_url} - the address the customer can follow to log in<br />
                        {file_title} - the title of the file of this notification<br />
                        {file_id} - the number of the file<br />
                        {contract_expire} - the date of expiration of this contract<br />
                        {contract_id} - the number of the contract<br />
                        {contract_gateway} - the payment gateway used<br />
                    </div>
                </td>
            </tr>
        </table>
        <p class="submit">
            <?php $controls->button('save', __('Save', 'filecommerce')); ?>
        </p>


 <table class="form-table">
            <tr valign="top">
                <th>Styles or other codes</th>
                <td>
                    <?php $controls->textarea('style'); ?>
                    <div class="hints">
                        On text area below insert whatever you want to style the File Commerce Pro file list or
                        messages. Every thing you write will be added as is on the &lt;head&gt; section
                        of your blog. Styles are documented on file wp-content/file-commerce/css/style.css.<br />
                        Remember to add the style tag:<br />
                        &lt;style&gt;<br />
                        your styles<br />
                        &lt;/style&gt;
                    </div>
                </td>
            </tr>
            <tr valign="top">
                <th>Logging</th>
                <td>
                    <?php $controls->select('log', array(0=>'Do not log', 1=>'Only errors', 2=>'Working activity', 3=>'Debug')); ?>
                    <div class="hints">
                        Logging information are written on "log.txt" file inside the plugin folder. Note that "debug" log level
                        may save sensible data and log.txt file is usually accessible to every one with a browser. Default value is
                        to log only errors.
                    </div>
                </td>
            </tr>
        </table>
        <p class="submit">
            <?php $controls->button('save', __('Save', 'filecommerce')); ?>
        </p>
    </form>
</div>
