<?php

@include_once(dirname(__FILE__) . '/commons.php');
@include_once(dirname(__FILE__) . '/controls.php');

$plugin = $file_commerce;

// Process known actions. Some actions need to process the options, do something
// without storing them on the database but showing them to the user a second time.
if ($controls->is_action('delete')) 
{
	$plugin->log_debug("Deleting file");	
	$filename = $plugin->get_wp_upload_dir_path() . DIRECTORY_SEPARATOR .FILECOMMERCE_FILE_UPLOAD_DIR . $file->filename;
	if (file_exists($filename))
	{
		if (!unlink($filename)) $controls->errors = "Cannot delete file from filesystem.";
		else 
		{
			$plugin->log_info("File deleted from path $filename");
			$controls->errors = "File correctly removed from filesystem.";
		}
	}
	else
	{
		$controls->errors = "Cannot delete file from filesystem: no file found on path " . $filepath;	
	}
}
elseif ($controls->is_action('activate'))
{
	$plugin->log_debug("Activating file");
	if (file_commerce_update_file_status(1))
	{
		$controls->errors = "File activated.";
	}
	else 
	{
		$plugin->log_error("Error during file update");
		$controls->errors = "Error during file update.";		
	}
}
elseif ($controls->is_action('deactivate'))
{
	$plugin->log_debug("Deactivating file");
	$plugin->log_debug("Activating file");
	if (file_commerce_update_file_status(0))
	{
		$controls->errors = "File deactivated.";
	}
	else 
	{
		$plugin->log_error("Error during file update");
		$controls->errors = "Error during file update.";		
	}
}

if ($controls->options == null) $controls->options = $plugin->get_options();

?>

<div class="wrap">

    <h2><?php echo $plugin->title; ?>: File Management</h2>

    <?php $controls->show_errors(); ?>
    <?php $controls->show_messages(); ?>

    <p>
        Here you can manage the file you're selling. A file can be downloaded by a customer for the period
        you set on the file, so do not delete it if you have active customers on it! To make a new versions
        of a file available, simple edit it and upload a new version.
    </p>

			
	<div style="display:none">
		<form action="" method="post" id="filedelete">
			<?php $controls->init(); ?>
			<input type="hidden" name="act" value="delete" />			
		</form>
	</div>

	<div style="display:none">
		<form action="<?php echo file_commerce_get_plugin_admin_url('repository_edit.php'); ?>" method="post" id="fileedit">
			<?php $controls->init(); ?>
			<input type="hidden" name="act" value="editreq" />			
		</form>
	</div>	

	<div style="display:none">
		<form action="" method="post" id="fileactivate">
			<?php $controls->init(); ?>
			<input type="hidden" name="act" value="activate" />			
		</form>
	</div>
	
	<div style="display:none">
		<form action="" method="post" id="filedeactivate">
			<?php $controls->init(); ?>
			<input type="hidden" name="act" value="deactivate" />			
		</form>
	</div>
			

		<p><a href="?page=file-commerce/repository_edit.php&amp;id=0" class="button">Add a new file to sell</a></p>

                <table class="widefat">
			<thead>
                <tr>
                    <th>Actions</th>                    
                    <th>Title</th>
                    <th>Price</th>
                    <th>Description</th>
                    <th>File on disk</th>
                    <th>Active customers</th>
            	</tr>
            </thead>
		<?php
				
            // Computes the active customer for a file
            $active_count = $wpdb->get_var("select count(*) from " . $wpdb->prefix . FILECOMMERCE_TABLE_CONTRACTS .
                            " where status=" . FileCommerce::CONTRACT_VALID . " and expire>" . time());

			$txt = '<tr><td><a href="javascript:filecommerce_deleteFile()" title="Delete the file"><img src="'.plugins_url('/img/delete.png',__FILE__).'" /></a> '; 
			$txt .= '<a href="admin.php?page=file-commerce/repository_edit.php" title="Edit the file"><img src="'.plugins_url('/img/edit.png',__FILE__).'" /></a> ';
			if ($file->status == 0) $txt .= '<a href="javascript:filecommerce_activateFile()" title="Activate the file"><img src="'.plugins_url('/img/activate.png',__FILE__).'" /></a></td>';
			else $txt .= '<a href="javascript:filecommerce_deactivateFile()" title="Deactivate the file"><img src="'.plugins_url('/img/deactivate.png',__FILE__).'" /></a></td>';			
			$txt .= '<td>' . $file->title . '</td>';
            $txt .= '<td>' . $file->price . '</td>';
			$txt .= '<td>'.htmlspecialchars($file->description).'</td>';
            $txt .= '<td>'.htmlspecialchars($file->filename).'</td>';
            $txt .= '<td>' . $active_count . '</td>';
            $txt .= '</tr>';
			echo $txt;
		
		?>
		</table>


</div>