<?php

@include_once(dirname(__FILE__) . '/commons.php');
@include_once(dirname(__FILE__) . '/controls.php');

$plugin = $file_commerce;

if (!$controls->is_action()) {
    $controls->options = get_option(FILECOMMERCE_FILE_OPTION, array('status'=>FileCommerce::FILE_ON_SALE));
}
else {

    if ($controls->is_action('save'))
    {
        $controls->options = stripslashes_deep($_POST['options']);
        
        //load option
        $old_options = get_option(FILECOMMERCE_FILE_OPTION, array());

        if (((int)$controls->options['duration']) == 0)
            $controls->errors = "Check the download duration.<br />";

        // Maybe to be removed in the future
        //if ($is_new && $_FILES['file']['size'] == 0)
	//    	$controls->errors = "File was not specified or is zero length.<br />";

        // Check if there is a file to replace the old one
        if ($controls->errors == null)
        {
            if ($_FILES['file']['size'] > 0) 
            {                
                $controls->options['filename'] = md5(uniqid()) . '_' . file_commerce_sanitize_filename($_FILES['file']['name']);
                
                //check upload dir
                if (!file_exists($plugin->get_wp_upload_dir_path() . DIRECTORY_SEPARATOR . FILECOMMERCE_FILE_UPLOAD_DIR))
                {
                	if (!mkdir( $plugin->get_wp_upload_dir_path() . DIRECTORY_SEPARATOR . FILECOMMERCE_FILE_UPLOAD_DIR ))
                	{
                		$controls->errors = "Error creating upload dir on path: " . $plugin->get_wp_upload_dir_path() . DIRECTORY_SEPARATOR . FILECOMMERCE_FILE_UPLOAD_DIR . ".<br />";
                	}
                }
                if ($controls->errors == null)
                {
                    if (!move_uploaded_file($_FILES['file']['tmp_name'], $plugin->get_wp_upload_dir_path() . DIRECTORY_SEPARATOR . FILECOMMERCE_FILE_UPLOAD_DIR . $controls->options['filename'])) {
                            $controls->errors = "Cannot move ".$_FILES["uploadedfile"]["tmp_name"]." to ". $plugin->get_wp_upload_dir_path() . DIRECTORY_SEPARATOR .FILECOMMERCE_FILE_UPLOAD_DIR . $filename;
                    }
                }                
            }
        }

        if ($controls->errors == null) {
            $controls->options['status'] = FileCommerce::FILE_ON_SALE;

            @unlink($plugin->get_wp_upload_dir_path() . DIRECTORY_SEPARATOR . FILECOMMERCE_FILE_UPLOAD_DIR . $old_options['filename']);
            update_option(FILECOMMERCE_FILE_OPTION, $controls->options);
        }

    }
}

if ($controls->errors != null) $controls->errors .= '<br /><strong>If you were uploading a new file, reselect it</strong>.';
?>

<div class="wrap">

    <h2><?php echo $plugin->title; ?>: Create/Edit the File</h2>

    <?php $controls->show_errors(); ?>
    <?php $controls->show_messages(); ?>

    <p>
        Be aware that on title, price and description you can use HTML and it must be correct otherwise the file listing
        (both on site and on "Files" panel) can break. See the user guide for some interesting examples.
    </p>

        <form enctype="multipart/form-data" action="admin.php?page=file-commerce/repository_edit.php" method="post">
            <?php $controls->init(); ?>            
            <?php $controls->hidden('filename'); ?>

            <table class="form-table">            
            <tr valign="top">
                <th>Physical file</th>
                <td>
                    <input type="file" name="file" id="uploadedfile" /><br />
                    actual file on disk: <?php echo $controls->options['filename']; ?>
                <div class="hints">
                        If you leave this empty, the already uploaded file will not be overwritten.
                    </div>
                </td>
            </tr>

            <tr valign="top">
                <th>Title</th>
                <td>
                    <?php $controls->text('title', 70); ?>
                    <div class="hints">
                        This is what describe the file to your customer. When you sell files which have a version
                        (for example a software) be sure to add the version information on this field.
                    </div>
                </td>
            </tr>

            <tr valign="top">
                <th>Download granted for</th>
                <td>
                    <?php $controls->text('duration', 10); ?> (days)
                </td>
            </tr>

            <tr valign="top">
                <th>Price description</th>
                <td>
                    <?php $controls->text('price', 70); ?>
                    <div class="hints">
                        This price is what is shown on file list and it should be coherent with price you set on
                        payment gateways! The price is textual, so you can write whatever you want. See the user guide for
                        advanced examples and some tips.
                    </div>
                </td>
            </tr>

            <tr valign="top">
                <th>Paypal button</th>
                <td>
                    <?php $controls->text('paypal', 30); ?>
                    <div class="hints">
                        The PayPal button code as generated by PayPal when you create a buy now button. <strong>See the user guide there is a
                            step by step guide, very important!
                    </div>
                </td>
            </tr>            

            <tr valign="top">
                <th>Description</th>
                <td>
                    <?php $controls->textarea('description', 70); ?>
                                                <div class="hints">
                        That is an optional long description of your file. If you have different prices on different
                        payments method, describe it here.
                    </div>
                </td>
            </tr>

            <tr valign="top">
                <th>Status</th>
                <td>
                    <?php $controls->select('status', array(FileCommerce::FILE_ON_SALE=>'On sale', FileCommerce::FILE_ONLY_DOWNLOAD=>'Only for download', FileCommerce::FILE_FREE_REGISTERED=>'Free for registered')); ?>
                    <div class="hints">
                        <strong>Only download</strong>: the file is available for download to all customer who have an active contract.<br />
                        <strong>Disabled</strong>: not available, neither to customer with a valid and not expired contract
                    </div>
                </td>
            </tr>
			
        </table>
        <p class="submit">
            <?php $controls->button('save', 'Save'); ?>
        </p>
    </form>

</div>
