
<div class="wrap">
    <h2>User Guide</h2>

    <p>
        Welcome to the user guide of File Commerce Free and File Commerce Pro.
    </p>
    <p>
        <strong>This guide is long, but reading it is required to configure the plug-in.</strong>
    </p>
    <p>
        On each panel and under each single
        configuration field, you'll find instructions and tips to configure in the right
        way File Commerce Pro. Be sure to read them with care to get the most of this plugin!
    </p>

    <p>
        This user guide contains instruction on how configure correctly the payment gateways,
        creating products or payment buttons and associate them to your file on sale. Some payment gateways
        are simpler to configure than others, but following with care every step you can use any of them
        without problems.
    </p>

    <script>
        var content = "";
        var count = 0;
        jQuery(document).ready(function () {
           jQuery(".wrap h3").each(function () {
               count++;
               this.id = "h3" + count;
               content += "<li><a href='#" + this.id + "'>" + this.innerHTML + "</a></li>";
           });
           document.getElementById("file-commerce-pro-index").innerHTML = "<ul>" + content + "</ul>";
        });
    </script>

    <div id="file-commerce-pro-index"></div>

    <h3>Differences between File Commerce and the coming File Commerce Pro</h3>
    <p>
        This guide is common to File Commerce Free version and File Commerce Pro version.
        Where needed is specified when an option or a note apply only to one specific version, but can
        be useful to keep in mind the main differences:
    </p>
    <ul>
        <li>File Commerce Free can manage only one file while the Pro version can manage an unlimited number of files</li>
        <li>File Commerce Free require the user pre registration before complete a purchase while File Commerce Pro can
            be enable to auto create accounts</li>
        <li>File Commerce Free is integrated only with PayPal</li>
    </ul>

    <h3>How the selling process works</h3>
    <p>
        Suppose to already have one or more files to sell and a page in your blog which lists all those files
        (see below how to configure the file list page).
    </p>
    <p>
        That page is sometime called the "pitch page": there a customer can click on a "buy now" button
        and complete the payment on a payment gateway (PayPal, ClickBank, Plimus, ...).
    </p>
    <p>
        After the payment is completed, the gateway send back the customer on your site in a special page, called "thank you
        page" (File Commerce takes care to manage it).
    </p>
    <p>
        On thank you page you can make the file available IF the payment gateway has already notified the
        transaction or give the user a note to wait some time for confirmation email
        (plus the never missing contact information).
    </p>

    <h4>File Commerce Free</h4>
    <p>
        To complete a purchase the user must register to your site and log in. In place of the payment button, when
        the user is not logged in, there will be a link to the log in page or registration form (the ones of WordPress). A registration
        form note can be added on main configuration.
    </p>

    <h4>File Commerce Pro</h4>
    <p>
        On process described above, there was not user pre-registration: File Commerce Pro generates an account using
        the data sent from payment gateway and mail the credential to the user mailbox. If the user
        was already on the system (identified by his email), the contract is associated to him directly. If
        a user was logged in on buying time, the contract is associated to that user.
    </p>
    <p>
        On main configuration panel, you can force the customer pre-registration (like done on
        File Commerce Free) before he can make a purchase:
        this is a way to grant the mailbox is correct and the user has received his credentials because
        some time credential emails generated automatically go on spam folder and customer start to mail you
        asking why the cannot log-in.
    </p>


    <h3>Let users to register</h3>
    <p>
        If you want users to register before make a purchase a purchase (required for File Commerce Free), may be because you are
        giving files to download for registered users, you need to enable them to register.
        On "Settings" panel of WordPress, check the
        "Anyone can register" and leave the "New user default role" to "Subscriber". See the picture below
        for a screen shot (click to enlarge).
    </p>
    <p>
        <a href="<?php echo plugins_url('img/ug/wordpress-1.png', __FILE__); ?>" target="_blank"><img src="<?php echo plugins_url('img/ug/wordpress-1.png', __FILE__); ?>" width="400"/></a>
    </p>

    <h3>Creating a sellable file</h3>

    <h4>File Commerce Free</h4>
    <p>
        Since File Commerce Free manages only a file, you just need to enter the "file" panel and edit it.
    </p>

    <h4>File Commerce Pro</h4>
    <p>
        It's simple, just open the "Files" panel and press the "add new file" button. Of course you need to
        create the relative product or button on the payment gateways of you choice.
    </p>

    <p>
        The file title is important, it's you file description to the user. On file title feel free to use
        HTML mark-up to create a more attractive titles. For example, if you want to put the word "NEW!" red
        colored on the title, use a code like this:
    </p>
    <p>
        <code>Your title &lt;span style="color: #f00"&gt;NEW!&lt;/span&gt;</code>
    </p>

    <p>
        The file price is only informative, the real price is the one you set on payment gateways. The price,
        being textual, can contain the currency or other special information. An example: you want to show a full price
        strike out and the real price just below:
    </p>
    <p>
        <code>&lt;s&gt;47.00&lt;/s&gt;&lt;br /&gt;19.95</code>
    </p>
    <p>
        If you're using more than one gateway but you would the users to use a specific one (may be because their
        fee is lower), use different price for different gateways. You can state it on file description or on
        file price, it's just a design choice.
    </p>

    <h3>PayPal integration</h3>
    <p>
        File Commerce Pro works with PayPal Buy Now buttons created on PayPal panel.
        <strong>Remember: you must activate the PayPal
        IPN service (Instant Payment Notification) as explained below</strong>.
    </p>
    <p>
        You can think a PayPal Buy Now button as a product you're configuring on PayPal, with a
        price and other settings, and which you associate to a file via the file "id". Every file
        you load on File Commerce Pro gets and "id" you can see on file details or on file list.
        On PayPal Buy Now button, you need to indicate the associated file "id" adding it to the
        item number field. See the image below.
    </p>
    <p>
        <a href="<?php echo plugins_url('img/ug/paypal-2.png', __FILE__); ?>" target="_blank"><img src="<?php echo plugins_url('img/ug/paypal-2.png', __FILE__); ?>" width="400"/></a>
    </p>
    <p>
        When PayPal gets a payment, it calls back File Commerce Pro (see below for the IPN configuration)
        passing the file "id": File Commerce Pro creates a contract and the file can be dowloaded
        by you customer.
    </p>
    <p>
        Every file will have a specific button, so you need to set on every file you want to sell
        with PayPal, the button code. To get that code, once you created the button, PayPal gives you
        some code for web sites and for emails. The latter is a link like:
    </p>
    <p><code>https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=<strong>HSP7U29XX5U7L</strong></code></p>
    <p>
        and the button code is the one in bold face. The image below shows a screenshot directly from
        PayPal (click to enlarge).
    </p>
    <p>
        <a href="<?php echo plugins_url('img/ug/paypal-1.png', __FILE__); ?>" target="_blank"><img src="<?php echo plugins_url('img/ug/paypal-1.png', __FILE__); ?>" width="400"/></a>
    </p>

    <h4>PayPal IPN</h4>
    <p>
        IPN stands for Instant Payment Notification and is the (secure) way PayPal uses to notify of
        payments (and refunds) to external commerce sites. <strong>File Commerce Pro works only if PayPal
        IPN is active and correctly configured</strong>.
    </p>
    <p>
        IPN can be configured under PayPal "profile" menu, "selling tools" panel. PayPal changes the
        administrative layout so the screenshot below can be of help or not. The IPN panel
        (usually <a href="https://www.paypal.com/cgi-bin/customerprofileweb?cmd=_profile-ipn-notify" target="_blank">here</a>)
        let you to enable the IPN service and (is required) set the notification URL. That URL is:
    </p>
    <p>
        <code><?php echo plugins_url('paypal.php', _FILE__); ?></code>
    </p>
    <p>
        If you're already using the IPN for other commerce sites, you can leave the value you already have since
        File Commerce Pro send to PayPal this URL on every payment request.
    </p>
    <p>
        <a href="<?php echo plugins_url('img/ug/paypal-3.png', __FILE__); ?>" target="_blank"><img src="<?php echo plugins_url('img/ug/paypal-3.png', __FILE__); ?>" width="400"/></a>
    </p>
    <p>
        <a href="<?php echo plugins_url('img/ug/paypal-4.png', __FILE__); ?>" target="_blank"><img src="<?php echo plugins_url('img/ug/paypal-4.png', __FILE__); ?>" width="400"/></a>
    </p>


	<h3>ClickBank integration</h3>

    <h4>ClickBank site settings</h4>
    <p>
    	<p>
    		To manage payments with your Clickbank account, first of all you must configure your site.
    		Click on 'My Site' link in the 'Account Settings' section.
    	</p>
    	<p>
    	<a href="<?php echo plugins_url('img/clickbank/clickbank_my_site.jpeg', __FILE__); ?>" target="_blank"><img src="<?php echo plugins_url('img/clickbank/clickbank_my_site.jpeg', __FILE__); ?>" width="400"/></a>
    	</p>
    	<p>
    		Click the 'Edit' link che the 'Advanced Tools' box, and insert the secret key value and the Instant Notification URL (choose the 2.1 version).
    		You can see the Instant Notification URL correct value in the configuration section of the plugin.
    		Remember to copy your secret key in the configuration section of the plugin, or you will not be able to receive operations notifications from Clickbank.
    		To test the Instant Notification URL, click on 'test' link in red on the right of version select. You will receive a test request from click bank, to check that all is ok.
    	</p>
    	<p>
    	<a href="<?php echo plugins_url('img/clickbank/clickbank_my_site_advanced_tools.jpeg', __FILE__); ?>" target="_blank"><img src="<?php echo plugins_url('img/clickbank/clickbank_my_site_advanced_tools.jpeg', __FILE__); ?>" width="400"/></a>
    	</p>
    	<p>
    	<a href="<?php echo plugins_url('img/clickbank/clickbank_my_site_advanced_tools_edit.jpeg', __FILE__); ?>" target="_blank"><img src="<?php echo plugins_url('img/clickbank/clickbank_my_site_advanced_tools_edit.jpeg', __FILE__); ?>" width="400"/></a>
    	</p>
    	<p>
    		To test a product buy operation, you can generate a fake credit card on Clickbank. Click on the 'Edit' link on the 'Testing Your Products' box of 'My site' page.
    		Take note of the credit card values, then try to buy one product with it.
    	</p>
    	<p>
    	<a href="<?php echo plugins_url('img/clickbank/clickbank_my_site_advanced_testing_your_products.jpeg', __FILE__); ?>" target="_blank"><img src="<?php echo plugins_url('img/clickbank/clickbank_my_site_advanced_testing_your_products.jpeg', __FILE__); ?>" width="400"/></a>
    	</p>
    	<p>
    	<a href="<?php echo plugins_url('img/clickbank/clickbank_my_site_advanced_testing_your_products_generate_cc.jpeg', __FILE__); ?>" target="_blank"><img src="<?php echo plugins_url('img/clickbank/clickbank_my_site_advanced_testing_your_products_generate_cc.jpeg', __FILE__); ?>" width="400"/></a>
		</p>
    </p>

    <h4>ClickBank products settings</h4>
    <p>
    	After site configuration, you must also create products. Go to 'My Products' page, and click on the 'Add New Product' button, in the 'Standard Product' section.
    	Choose an Item code, and rember to copy it in the product field 'Clickbank' on wordpress side.
    	Then in the 'Thank You Page' field put the value specified in the Configuration section of the plugin.
    </p>
    <p>
    	<a href="<?php echo plugins_url('img/clickbank/clickbank_my_products.jpeg', __FILE__); ?>" target="_blank"><img src="<?php echo plugins_url('img/clickbank/clickbank_my_products.jpeg', __FILE__); ?>" width="400"/></a>
    </p>
    <p>
    	<a href="<?php echo plugins_url('img/clickbank/clickbank_my_products_add_new_product.jpeg', __FILE__); ?>" target="_blank"><img src="<?php echo plugins_url('img/clickbank/clickbank_my_products_add_new_product.jpeg', __FILE__); ?>" width="400"/></a>
    </p>

    <h3>Styling the file list</h3>
    <p>
        Every element of the file list is surrounded with a div which you can style with CSS. A basic style is
        added by File Commerce, but you can override it easily using the styling CSS options on main panel or
        modifying the style.css of your theme.
    </p>

    <p>
        With CSS you can style everything of the table. If you are a good designer and have suggestion about
        this table or more classes to add, write us!
    </p>


    <h3>Styling the support form</h3>
    <p>
        The support form is surrounded with a DIV with attribute id equals to file-commerce-pro-support. When a request
        is submitted, a thank you message is show (as configured) and this message is inside a DIV with id
        set to file-commerce-pro-support-thankyou.
    </p>

</div>